<?php
 
session_start();
$com = "A";
include("DMMYSQLG.php");
include("DSA3000.php");
include("DMMYSQLG.php");
require_once("DF30000.inc");
require_once("DF80000.php");
require_once("DFMOVCAP.inc");
require_once("DFJQUERY.inc");
?>
<html>
<link rel="stylesheet" href="css/estilo1.css" type="text/css"/>
<script type="text/javascript" language="JavaScript1.2" src="DSSCRIPT.js"></script>
<script language="javascript">
$(document).ready(function(){
	function formatItem(row) {
		return " (<strong>" + row[1] + "</strong>)"+row[0]+' '+row[2];
	}
	var pagRes='RC31100_AGDET-SRV.php';
	var idObjDes='des_ope';
	var idObjCve='id_ope';
	var nomObjRad='tip_bus_ope';
	$("#"+idObjDes).autocomplete(pagRes,{
		minChars: 1,                 //Caracteres Minimos antes de autocompletar
		cacheLength: 0,
		max:20,                      //maximo de resultados mostrados, se manda como limit en autosugestion
		delay: 200,                  //Retardo de autocompletar 
		width: 500,                  //ancho del cuadro de despliegue
		highlight: false,            //Resalta letras coincidentes
		autoFill: false,             //autocompleta en texto la posible palabra
		scroll: true,				 //si cuadro tiene barra scroll
		scrollHeight: 100,           //alto del cuadro para el scroll
		formatItem:formatItem,	     //formato de presentacion de las posibles busquedas
		extraParams:{typeRequest:'ac',tipBus:'c'}  //Parametros Extra a Mandar en autosugestion
	});
	$("#"+idObjCve).autocomplete(pagRes,{
		minChars: 1,                 //Caracteres Minimos antes de autocompletar
		cacheLength: 0,
		max:20,                      //maximo de resultados mostrados, se manda como limit en autosugestion
		delay: 200,                  //Retardo de autocompletar 
		width: 500,                  //ancho del cuadro de despliegue
		highlight: false,            //Resalta letras coincidentes
		autoFill: false,             //autocompleta en texto la posible palabra
		scroll: true,				 //si cuadro tiene barra scroll
		scrollHeight: 100,           //alto del cuadro para el scroll
		formatItem:formatItem,       //formato de presentacion de las posibles busquedas
		formatResult:function(row){  //formato de seleccion de busqueda
			return row[1];
		},	                        
		extraParams:{typeRequest:'ac',tipBus:'c'}     //Parametros Extra a Mandar en autosugestion
	});
	$("#"+idObjCve).result(function(event, data, formatted){
		$("#"+idObjDes).val(data[0]);
		$("#"+idObjDes).focus();
		$("#uniMed").html(data[2]);
	});	
	$("#"+idObjDes).result(function(event, data, formatted){
		$("#"+idObjCve).val(data[1]);
		$("#uniMed").html(data[2]);
		//alert(data[2]+':'+data[3]);
	});	
	$("input[@name="+nomObjRad+"]").click(function(){
			//alert(getValRadChe(nomObjRad));
		$('#id_ope').val("");	
		$('#des_ope').val("");
		$('#cantidad').val("");
		$('#uniMed').html("");			
		$("#"+idObjDes).setOptions({
			extraParams:{
				typeRequest:'ac',
				tipBus:getValRadChe(nomObjRad)
			}
		});
	});
});

</script>

<body>
<? 
/*Verifica que exista Variable contenedora del Id del Encabezado*/	
if (!isset($_REQUEST['bot'])){
	echo '<h2>!!! SELECCIONA UN REGISTRO... ACTUALIZANDO !!!</h2>';
	echo '<meta content="1; url=RC31100_PR.php"  HTTP-EQUIV="REFRESH">';
	exit();
}
/****************************************************************/

/*Llena Variable para verificar si esta en modo Update*/
if(!isset($_POST['block_mod'])){
	$bMod=false;			//Bandera de modificar, bloquea pagina en modo Modificar esperando el evento que la cambie de estado
	$bSel='';				//Id registro a modificar
}
else{
	$bMod=$_POST['block_mod'];
	$bSel=$_POST['reg_mod'];
}
/****************************************************/

$bModPri=false;					//Bandera de Modificar(True solo En el Primer Bloqueo o recarga de pagina en modo Modificar)
$id_receta=$_REQUEST["bot"]; 	//Id de Encabezado
$id_detfac=$_POST['bot_det'];	//Id de Detalle (si se selecciono alguno)

/*Crear Objetos Necesarios para Manipular Encabezado y Detalle*/
include('RC31100_CL.php');
$dataEnc['idRecEta']=$id_receta;
$dataDet['idRec']=$id_receta;
$dataDet['idDedRec']=$id_detfac;
$recEtas = new recEta($dataEnc);
$dedRecs = new dedRec($dataDet);
/************************************************************/

/*Recuperar Información de Encabezado y la coloca en los objetos HTML*/
$res=$recEtas->busReg();
$dt_enrecEta=mysqli_fetch_array($res);
$auxClaRec=str_replace("|","",$dt_enrecEta['ids_clarec']);
if(trim($auxClaRec)!="")
$dt_clarecGru=mysqli_fetch_array(mysqli_query($con ,"
SELECT 
	GROUP_CONCAT(CONCAT(cve_clarec,' ',des_clarec) ORDER BY cve_clarec SEPARATOR ', ') AS desClaRec 
FROM
	rcclarec
WHERE
	id_clarec IN($auxClaRec)"));

//$_REQUEST['id_receta']=$dt_enrecEta['id_receta'];
$_REQUEST['id_receta']  =$dt_enrecEta['cve_rec']; 
$_REQUEST['des_rec']=$dt_enrecEta['des_rec'];
$_REQUEST['porc_rec']=$dt_enrecEta['porc_rec'];
$_REQUEST['unidad']=$dt_enrecEta['unid_rec'];
$_REQUEST['cve_uni']=$dt_enrecEta['cve_uni'];
$_REQUEST['prep_rec']=$dt_enrecEta['prep_rec'];
$_REQUEST['tie_pre']=$dt_enrecEta['tim_pre'];
$_REQUEST['cla_rec']=$dt_clarecGru['desClaRec'];
$_REQUEST['fec_alt']=chfecha($dt_enrecEta['fec_alt'],'Y-m-d','d/m/Y');
$_REQUEST['fec_baj']=chfecha($dt_enrecEta['fec_baj'],'Y-m-d','d/m/Y');
$_REQUEST['fec_cam']=chfecha($dt_enrecEta['fec_cam'],'Y-m-d','d/m/Y');
//$_REQUEST['cos_inv']=number_format($dt_enrecEta['cosInv'],2,'.',',');
//$_REQUEST['pre_rec']=number_format($dt_enrecEta['preRec'],2,'.',',');
//$_REQUEST['tot_fac']=number_format($dt_enrecEta['totFac'],2,'.',',');
/******************************************************************/

/*Verificamos Si es la Primer Carga de La Pagina por si es necesario realizar alguna accion*/
if(!isset($_POST['RC31100_AGDET'])){
	$_REQUEST['id_iva']  =$dt_enrecEta['idTasIva'];
}
/************************************************/

/*Bloque de condiciones para Realizar las distintas operaciones sobre el detalle*/
if(isset($_POST['agregar'])){
	//codigo agregar
	$dataDet['idRec']=$id_receta;
	$dataDet['idDedRec']=$_POST['id_dedrec'];
	$dataDet['idOpe']=$_POST['id_ope'];
	$dataDet['canRec']=$_POST['cantidad'];
	if($_POST['tip_bus_ope']=='c')
		$dataDet['tipOpe']='A';
	elseif($_POST['tip_bus_ope']=='d')	 
		$dataDet['tipOpe']='R';

	$dedRecs->resetData($dataDet);
	$rs=$dedRecs->agregar();
	if($rs){
	
	    $_REQUEST['id_rec']  ='';
	    $_REQUEST['id_dedrec']  ='';
		$_REQUEST['des_ope']  ='';
		$_REQUEST['id_ope']  ='';		
	}
}
elseif(isset($_POST['modificar']) && isset($_POST['bot_det'])){
	//Recupera Registro de Detalle y coloca los valores en los objetos HTML
	//Cambia la bandera de modificar a True y llena la variable que contiene el id del registro a modificar
	$dt_detfacMod= mysqli_fetch_array($dedRecs->busReg());
	//echo $dt_detfacMod['can_rec'];
	$dt_invent=mysqli_fetch_array(mysqli_query($con ,"SELECT * FROM dginvent WHERE nparte1='".$dt_detfacMod['id_ope']."'"));
	//echo "SELECT * FROM dginvent WHERE nparte1='".$dt_detfacMod['id_ope']."'";
	//$_REQUEST['id_rec']=$dt_detfacMod['id_rec'];
	//$_REQUEST['id_dedrec']=$dt_detfacMod['id_dedrec'];
	$_REQUEST['cantidad']=$dt_detfacMod['can_rec'];
	$_REQUEST['id_ope']=$dt_detfacMod['id_ope'];
	$_REQUEST['des_ope']=$dt_invent['np_desc1'];	
	$_REQUEST['precio']=$dt_invent['lim_vta1'];
	$bSel=$_REQUEST['bot_det'];		
	$bModPri=true;
	$bMod=true;
}
elseif(isset($_POST['eliminar']) && isset($_POST['bot_det'])){
	//codigo eliminar
	$rs=$dedRecs->eliminar();
	$bSel=0;
}
elseif(isset($_POST['modificarReg'])){
	//Modificar el registro con id contenido en $bSel, posteriormente limpia $bSel
	//Cambia la bandera de modificar a False
	if($_POST['tip_bus_ope']=='c')
		$dataDet['tipOpe']='A';
	elseif($_POST['tip_bus_ope']=='d')	 
		$dataDet['tipOpe']='R';	
	$dataDet['idDedRec']=$bSel;
	$dataDet['canRec']=$_POST['cantidad'];
	$dataDet['idOpe']=$_POST['id_ope'];
	$dedRecs->resetData($dataDet);
	$rs=$dedRecs->modificar();
	$_REQUEST['cantidad']='';
	$bMod=false;
	$bSel='';
	if($rs){
		$_REQUEST['cantidad'] ='';
		$_REQUEST['id_ope']  ='';
		$_REQUEST['des_ope']  ='';
			
	}
}elseif(isset($_POST['terminarCaptura'])){
		echo '<meta content="0; url=RC31100_PR.php"  HTTP-EQUIV="REFRESH">';		
		mysqli_close();
		exit();
}

/*Si Se Realizaron Operaciones sobre detalle actualiza Totales Factura*/
/****************************************************************/

/*Busca los Registros pertenecientes al encabezado en cuestion*/
$sq_detfac=$dedRecs->busByEnc();

/*************************************************************/
?>
<form name="frm1" method="post" action="RC31100_AGDET.php">
<input type="hidden" name="RC31100_AGDET" id="RC31100_AGDET" value="RC31100_AGDET.php">
<input type="hidden" name="bot" id="bot" value="<? echo $_REQUEST['bot'];?>">
<input type="hidden" name="reg_mod" id="reg_mod" value="<? echo $bSel;?>">
<input type="hidden" name="block_mod" id="block_mod" value="<? echo $bMod;?>">
<table border="0" align="center">
  <tr>
    <th colspan="6">Alta de Receta </th>
  </tr>
  <tr>
    <td nowrap class="priDat">Clave: </td>
    <td nowrap class="priDat"><input name="id_receta" type="text" id="id_receta" size="15" tabindex="1" value="<? echo $_REQUEST['id_receta'];?>" class="textNoCap"></td>
    <td nowrap class="priDat">Descripcion:
      <label></label>
        <label></label></td>
    <td colspan="3" nowrap class="priDat"><input name="des_rec" type="text" id="des_rec" size="50" tabindex="2" value="<? echo $_REQUEST['des_rec'];?>"></td>
  </tr>
  <tr>
    <td nowrap class="priSec">Tipo: </td>
    <td colspan="3" nowrap class="priSec"><select name="cve_uni" id="cve_uni" tabindex="5" disabled="disabled">
      <option></option>
      <?php
 
		if(!isset($_REQUEST['cve_uni'])) $selTip='1';
		else $selTip=$_REQUEST['cve_uni'];

		 $result = mysqli_query($con ,"SELECT * FROM rctieali ORDER BY des_tieali");
		while($dato = mysqli_fetch_array ($result) ){ 
			if($selTip==$dato['id_tieali']){
				echo '<option value= "' . $dato['id_tieali'] . '" selected>' .$dato['cve_tieali'].' '.$dato['des_tieali'] .' </option>'; 
			}else{
				echo '<option value= "' . $dato['id_tieali'] . '">' .$dato['cve_tieali'].' '.$dato['des_tieali'] .' </option>'; 
			}
		}
		?>
    </select></td>
    <td nowrap class="priSec">Uni. Medida:</td>
    <td nowrap class="priSec"><select name="unidad" id="unidad" tabindex="4" disabled="disabled">
      <option></option>
      <?php
 
		if(!isset($_REQUEST['unidad'])) $selUniMed='1';
		else $selUniMed=$_REQUEST['unidad'];
		$result = mysqli_query($con ,"SELECT * FROM dggrupos ORDER BY des_uni");
		while($dato = mysqli_fetch_array($result) ){ 
			if($dato['cve_uni']==$selUniMed){
				echo '<option value= "' . $dato['cve_uni'] . '" selected>' . $dato['des_uni'] .' </option>'; 
			}else{
				echo '<option value= "' . $dato['cve_uni'] . '">' . $dato['des_uni'] .' </option>'; 
			}
		}
		?>
    </select></td>
  </tr>
  <tr>
    <td nowrap class="priSec">Pax:</td>
    <td nowrap class="priSec"><input name="porc_rec" type="text" id="porc_rec" size="15" tabindex="3" value="<? echo $_REQUEST['porc_rec'];?>"></td>
    <td nowrap class="priSec">Tiempo Prep.:</td>
    <td nowrap class="priSec"><input name="tie_pre" type="text" id="tie_pre" value="<? echo $_REQUEST['tie_pre'];?>" size="7"></td>
    <td colspan="2" nowrap class="fotPro">Fotografia</td>
  </tr>
  <tr>
    <td nowrap class="priSec">Preparacion:</td>
    <td colspan="3" nowrap class="priSec"><div align="left">
      <textarea name="prep_rec" cols="45" rows="10" id="prep_rec" tabindex="6" readonly="readonly"><? echo $_REQUEST['prep_rec'];?></textarea>
    </div></td>
    <td colspan="2" nowrap class="fotPro"><div align="center" id="capa">
      <?php

			$fotografia = 'foto/rcrecetas/NO_'. $dt_enrecEta["id_receta"] .'.JPG';
			if (file_exists($fotografia)) {
				echo '<img src="'.$fotografia .'" width="150" height="150" id="impPro">';
			}else{
				echo '<img src="foto/sin_producto.jpg" width="150" height="150" id="impPro">';
			}
		  ?>
    </div>      </td>
  </tr>
  <tr>
    <td nowrap class="backFec"> Clasificaci&oacute;n:</td>
    <td colspan="5" nowrap class="backFec">
    <input name="id_cla_rec" type="hidden" id="id_cla_rec" value="<? echo $_REQUEST['id_cla_rec']?>" size="10">
	<input name="cla_rec" type="text" id="cla_rec" value="<? echo $_REQUEST['cla_rec']; ?>" size="70" readonly>
	</td>
    </tr>
  <tr>
    <td nowrap class="backFec">Fecha Alta:
      <div align="center"></div></td>
    <td nowrap class="backFec"><input name="fec_alt" type="text" class="fieldFec" id="fec_alt" size="10"
		  <?php
 
			  if(isset($_REQUEST['fec_alt'])){
			  	echo 'value="'.$_REQUEST['fec_alt'].'"'; 
			  }else{
			  	echo 'value="'.date('d/m/Y').'"'; 
			  }
			  ?>
		  ></td>
    <script type="text/javascript">
      Calendar.setup(
	{
		inputField  : "fec_alt",       // ID del cuadro de texto
		ifFormat    : "%d/%m/%Y",   // formato de la fecha
		button      : "bot1"      	// ID del boton
	}
);
      </script>
    <td nowrap class="backFec">Fecha Baja:</td>
    <td nowrap class="backFec"><input name="fec_baj" type="text" class="fieldFec" id="fec_baj" size="10"
		   <?php
 
			  if(isset($_REQUEST['fec_baj'])){
			  	echo 'value="'.$_REQUEST['fec_baj'].'"'; 
			  }else{
			  	echo 'value="'.date('d/m/Y').'"'; 
			  }
			  ?>
		  ></td>
    <script type="text/javascript">
      Calendar.setup(
	{
		inputField  : "fec_baj",       // ID del cuadro de texto
		ifFormat    : "%d/%m/%Y",   // formato de la fecha
		button      : "bot2"      	// ID del boton
	}
);
      </script>
    <td nowrap class="backFec">Fecha Cambio: </td>
    <td nowrap class="backFec"><input name="fec_cam" type="text" class="fieldFec" id="fec_cam" size="10"
		 <?php
 
			  if(isset($_REQUEST['fec_cam'])){
			  	echo 'value="'.$_REQUEST['fec_cam'].'"'; 
			  }else{
			  	echo 'value="'.date('d/m/Y').'"'; 
			  }
			  ?>>
      <label></label></td>
    <script type="text/javascript">
      Calendar.setup(
	{
		inputField  : "fec_cam",       // ID del cuadro de texto
		ifFormat    : "%d/%m/%Y",   // formato de la fecha
		button      : "bot3"      	// ID del boton
	}
);
      </script>
  </tr>
</table>
<br>
<table border="0" align="center">
    <tr style="#F2F2F2">
      <td nowrap style="#E9E9E9" class="agrDet"><label>Articulo:
	  
	  
          <input name="tip_bus_ope" type="radio" value="c" checked>
Art.
<input name="tip_bus_ope" type="radio" value="d">
Rec.
<input name="id_ope" type="text" id="id_ope" size="10" value="<? echo trim($_REQUEST['id_ope']);?>" tabindex="10">
      </label>
      <label></label>      <label>
          <input name="des_ope" type="text" id="des_ope" size="40" value="<? echo trim($_REQUEST['des_ope']);?>" tabindex="11">
          Cantidad:
          <input name="cantidad" type="text" id="cantidad"  value="<? echo $_REQUEST['cantidad'];?>" size="10" tabindex="12"><span id="uniMed"></span>
      </label></td>
    </tr>
    <tr style="#F2F2F2">
      <td nowrap style="#E9E9E9" class="agrDet"><div align="center"><?php

		  	if($bMod){
				echo ' <input name="modificarReg" type="submit" id="modificarReg" value="Modificar">';
			}else{
				echo ' <input name="agregar" type="submit" id="agregar" value="Agregar">';
			}
	  ?></div></td>
    </tr>
  </table>
	  <table width="658" border="0" align="center" cellspacing="4" id="tableDetail">
    <tr style="#E9E9E9">
      <td colspan="6">
        <div align="center">
		<?php

			if(!$bMod){
				echo '  <input name="eliminar" type="submit" id="eliminar" value="Eliminar">
          				<input name="modificar" type="submit" id="modificar" value="Modificar">';
			}else{
				echo ' <input name="eliminar" disabled type="submit" id="eliminar" value="Eliminar">';
			}
		?>	
       </div>     </td>
      <td colspan="2"><input type="submit" name="terminarCaptura" id="terminarCaptura" value="Guardar"></td>
      </tr>
    
	
	<tr>
      <td width="25" nowrap class="headTabDet">Sel.</td>
      <td width="55" nowrap class="headTabDet">Cantidad</td>
	  <td nowrap class="headTabDet">Uni. Med. </td>
	  <td width="272" nowrap class="headTabDet">Descripci&oacute;n</td>
      <td width="65" nowrap class="headTabDet">Pre. Uni. </td>
      <td width="65" nowrap class="headTabDet">Subtotal </td>
      <td width="65" nowrap class="headTabDet">IVA Total </td>
      <td width="65" nowrap class="headTabDet">Total</td>
    </tr>
    <?php

		//Codigo Mostrar Detalle
		$subTotDoc=0.00;
		$ivaTotDoc=0.00;
		$totDoc=0.00;
		$subTotPar=0.00;
		$ivaTotPar=0.00;
		$totPar=0.00;
		$tipCar='-1';
		$contador=0;
		while($dt_detfac=mysqli_fetch_array($sq_detfac)){
			$contador++;

			if($dt_detfac['id_dedrec']!=$bSel){
			$dt_invent="SELECT * FROM dginvent WHERE nparte1='".$dt_detfac['id_ope']."'";
			$receta1=mysqli_query($con ,$dt_invent);			
	        $des_rec=mysqli_fetch_array ($receta1);
			$dt_unimed=mysqli_fetch_array(mysqli_query($con ,"SELECT * FROM dggrupos WHERE cve_uni='".$des_rec['cve_uni_vta']."'"));
			$dt_tasiva=mysqli_fetch_array(mysqli_query($con ,"SELECT * FROM dxtasiva where cve_iva='".$des_rec['cve_iva']."'"));
			$subTot=$des_rec['lim_vta1']/(1+$dt_tasiva['porc_iva']/100)*$dt_detfac['can_rec'];
			$totDet=$des_rec['lim_vta1']*$dt_detfac['can_rec'];
			$ivaDet=$totDet-$subTot;
				echo'<tr>
					<td class="detailRowTable" rowspan="2"><div align="center">
						<input type="radio" name="bot_det" id="bot_det" value="'.$dt_detfac['id_dedrec'].'">
					</div></td>
					<td class="detailRowTable" ><div align="right">
							'.number_format($dt_detfac['can_rec'],4,'.',',').'&nbsp;
					</div></td>
					<td class="detailRowTable" ><div align="right">
							'.$dt_unimed['des_uni'].'&nbsp;
					</div></td>
					<td class="detailRowTable" ><div align="left">
							'.$des_rec['np_desc1'].'&nbsp;
					</div></td>
					<td class="detailRowTable" ><div align="right">
							'.number_format($subTot/$dt_detfac['can_rec'],2,'.',',').'&nbsp;
					</div></td>
					<td class="detailRowTable" ><div align="right">
							'.number_format($subTot,2,'.',',').'&nbsp;
					</div></td>																				
					<td class="detailRowTable" ><div align="right">
							'.number_format($ivaDet,2,'.',',').'&nbsp;
					</div></td>
					<td class="detailRowTable" ><div align="right">
							'.number_format($totDet,2,'.',',').'&nbsp;
					</div></td>
					</tr>';
					echo '<tr>
							<td  class="detailRowTableObs"  colspan="8"><pre>'."$dt_detfac['obsOpe']".'</pre></td>
						</tr>';
					$subTotDoc +=$subTot;
					$ivaTotDoc +=$ivaDet;
					$totDoc +=$totDet;
				}
		}
		echo '<tr><td colspan="8">&nbsp;</td></tr>
			<tr>
			<td colspan="5" class="headTabDet"><div align="right">Total General: &nbsp;</div></td>
			<td colspan="1" class="headTabDet"><div align="right">'.number_format($subTotDoc,2,'.',',').'</div></td>
			<td colspan="1" class="headTabDet"><div align="right">'.number_format($ivaTotDoc,2,'.',',').'</div></td>
			<td colspan="1" class="headTabDet"><div align="right">'.number_format($totDoc,2,'.',',').'</div></td>
			</tr>';		
		
	?>
	<tr>
	 	<td colspan="9"><div align="center"></div></td>
	</tr>
  </table>
  <p>&nbsp;</p>
</form>
</body>
</html>
